<div class="dropdown" dropdown>
  <input
    [disabled]="isdisabled == true || action == 'view' ? true : null"
    placeholder="{{ placeholder }}"
    (focus)="resetError()"
    (blur)="onTouched($event); blurCheckKeyExist()"
    [(ngModel)]="value"
    type="text"
    class="form-control dropdown-toggle"
    dropdownToggle
  />
  <div class="dropdown-menu {{ position }}" *dropdownMenu>
    <div *ngIf="filteredItems.length">
      <table class="table-autocomplete table" *ngIf="headers.length">
        <thead>
          <tr>
            <th *ngFor="let item of headers">{{ item }}</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of filteredItems" (click)="selectedItem(item)">
            <td class="custom-label" *ngFor="let colID of custom_display_label">
              {{ item[colID] }}
            </td>
          </tr>
        </tbody>
      </table>

      <ng-template *ngIf="headers.length">
        <li *ngFor="let item of filteredItems" (click)="selectedItem(item)">
          <span class="custom-label" *ngFor="let lb of custom_display_label">
            <span class="{{ lb }}" *ngIf="!isArray(lb)">
              {{ item[lb] }}
            </span>
            <span *ngIf="isArray(lb)">
              <span class="{{ merge }}" *ngFor="let merge of lb">
                {{ item[merge] }}
              </span>
            </span>
          </span>
        </li>
      </ng-template>
    </div>
  </div>
</div>
